﻿var temp = temp || {};
temp.metadata = {
    "localQueryComparisonOptions": "caseInsensitiveSQL",
    "structuralTypes": [
      {
          "shortName": "Location",
          "namespace": "Models.NorthwindIB.NH",
          "isComplexType": true,
          "dataProperties": [
            {
                "nameOnServer": "Address",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 60,
                "validators": [
                  {
                      "maxLength": "60",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "City",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 15,
                "validators": [
                  {
                      "maxLength": "15",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Region",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 15,
                "validators": [
                  {
                      "maxLength": "15",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "PostalCode",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 10,
                "validators": [
                  {
                      "maxLength": "10",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Country",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 15,
                "validators": [
                  {
                      "maxLength": "15",
                      "name": "maxLength"
                  }
                ]
            }
          ]
      },
      {
          "shortName": "Geospatial",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "Identity",
          "defaultResourceName": "Geospatials",
          "dataProperties": [
            {
                "nameOnServer": "Id",
                "dataType": "Int32",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "Geometry1",
                "dataType": "Binary",
                "isNullable": true
            },
            {
                "nameOnServer": "Geography1",
                "dataType": "Binary",
                "isNullable": true
            }
          ],
          "navigationProperties": []
      },
      {
          "shortName": "Category",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "Identity",
          "defaultResourceName": "Categories",
          "dataProperties": [
            {
                "nameOnServer": "CategoryID",
                "dataType": "Int32",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "RowVersion",
                "dataType": "Int32",
                "isNullable": false,
                "concurrencyMode": "Fixed",
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "CategoryName",
                "dataType": "String",
                "isNullable": false,
                "maxLength": 15,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "maxLength": "15",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Description",
                "dataType": "String",
                "isNullable": true
            },
            {
                "nameOnServer": "Picture",
                "dataType": "Binary",
                "isNullable": true,
                "maxLength": 10000000,
                "validators": [
                  {
                      "maxLength": "10000000",
                      "name": "maxLength"
                  }
                ]
            }
          ],
          "navigationProperties": [
            {
                "nameOnServer": "Products",
                "entityTypeName": "Product:#Models.NorthwindIB.NH",
                "isScalar": false,
                "associationName": "AN_Category_Product"
            }
          ]
      },
      {
          "shortName": "Comment",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "None",
          "defaultResourceName": "Comments",
          "dataProperties": [
            {
                "nameOnServer": "SeqNum",
                "dataType": "Byte",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "byte"
                  }
                ]
            },
            {
                "nameOnServer": "CreatedOn",
                "dataType": "DateTime",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "date"
                  }
                ]
            },
            {
                "nameOnServer": "Comment1",
                "dataType": "String",
                "isNullable": true
            }
          ],
          "navigationProperties": []
      },
      {
          "shortName": "Customer",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "KeyGenerator",
          "defaultResourceName": "Customers",
          "dataProperties": [
            {
                "nameOnServer": "CustomerID",
                "dataType": "Guid",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "guid"
                  }
                ]
            },
            {
                "nameOnServer": "RowVersion",
                "dataType": "Int32",
                "isNullable": false,
                "concurrencyMode": "Fixed",
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "CustomerID_OLD",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 5,
                "validators": [
                  {
                      "maxLength": "5",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "CompanyName",
                "dataType": "String",
                "isNullable": false,
                "maxLength": 40,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "maxLength": "40",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "ContactName",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 30,
                "validators": [
                  {
                      "maxLength": "30",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "ContactTitle",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 30,
                "validators": [
                  {
                      "maxLength": "30",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Address",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 60,
                "validators": [
                  {
                      "maxLength": "60",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "City",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 15,
                "validators": [
                  {
                      "maxLength": "15",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Region",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 15,
                "validators": [
                  {
                      "maxLength": "15",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "PostalCode",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 10,
                "validators": [
                  {
                      "maxLength": "10",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Country",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 15,
                "validators": [
                  {
                      "maxLength": "15",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Phone",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 24,
                "validators": [
                  {
                      "maxLength": "24",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Fax",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 24,
                "validators": [
                  {
                      "maxLength": "24",
                      "name": "maxLength"
                  }
                ]
            }
          ],
          "navigationProperties": [
            {
                "nameOnServer": "Orders",
                "entityTypeName": "Order:#Models.NorthwindIB.NH",
                "isScalar": false,
                "associationName": "AN_Customer_Order"
            }
          ]
      },
      {
          "shortName": "Employee",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "Identity",
          "defaultResourceName": "Employees",
          "dataProperties": [
            {
                "nameOnServer": "EmployeeID",
                "dataType": "Int32",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "RowVersion",
                "dataType": "Int32",
                "isNullable": false,
                "concurrencyMode": "Fixed",
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "LastName",
                "dataType": "String",
                "isNullable": false,
                "maxLength": 30,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "maxLength": "30",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "FirstName",
                "dataType": "String",
                "isNullable": false,
                "maxLength": 30,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "maxLength": "30",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Title",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 30,
                "validators": [
                  {
                      "maxLength": "30",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "TitleOfCourtesy",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 25,
                "validators": [
                  {
                      "maxLength": "25",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "BirthDate",
                "dataType": "DateTime",
                "isNullable": true,
                "validators": [
                  {
                      "name": "date"
                  }
                ]
            },
            {
                "nameOnServer": "HireDate",
                "dataType": "DateTime",
                "isNullable": true,
                "validators": [
                  {
                      "name": "date"
                  }
                ]
            },
            {
                "nameOnServer": "Address",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 60,
                "validators": [
                  {
                      "maxLength": "60",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "City",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 15,
                "validators": [
                  {
                      "maxLength": "15",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Region",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 15,
                "validators": [
                  {
                      "maxLength": "15",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "PostalCode",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 10,
                "validators": [
                  {
                      "maxLength": "10",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Country",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 15,
                "validators": [
                  {
                      "maxLength": "15",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "HomePhone",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 24,
                "validators": [
                  {
                      "maxLength": "24",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Extension",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 4,
                "validators": [
                  {
                      "maxLength": "4",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Photo",
                "dataType": "Binary",
                "isNullable": true,
                "maxLength": 1073741823,
                "validators": [
                  {
                      "maxLength": "1073741823",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Notes",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 1073741823,
                "validators": [
                  {
                      "maxLength": "1073741823",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "PhotoPath",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 255,
                "validators": [
                  {
                      "maxLength": "255",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "ReportsToEmployeeID",
                "dataType": "Int32",
                "isNullable": true,
                "validators": [
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "FullName",
                "dataType": "String",
                "isNullable": true
            }
          ],
          "navigationProperties": [
            {
                "nameOnServer": "Manager",
                "entityTypeName": "Employee:#Models.NorthwindIB.NH",
                "isScalar": true,
                "associationName": "AN_Employee_Employee",
                "foreignKeyNamesOnServer": [
                  "ReportsToEmployeeID"
                ]
            },
            {
                "nameOnServer": "DirectReports",
                "entityTypeName": "Employee:#Models.NorthwindIB.NH",
                "isScalar": false,
                "associationName": "AN_Employee_Employee"
            },
            {
                "nameOnServer": "EmployeeTerritories",
                "entityTypeName": "EmployeeTerritory:#Models.NorthwindIB.NH",
                "isScalar": false,
                "associationName": "AN_Employee_EmployeeTerritory"
            },
            {
                "nameOnServer": "Territories",
                "entityTypeName": "Territory:#Models.NorthwindIB.NH",
                "isScalar": false,
                "associationName": "AN_Employee_Territory"
            },
            {
                "nameOnServer": "Orders",
                "entityTypeName": "Order:#Models.NorthwindIB.NH",
                "isScalar": false,
                "associationName": "AN_Employee_Order"
            }
          ]
      },
      {
          "shortName": "EmployeeTerritory",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "Identity",
          "defaultResourceName": "EmployeeTerritories",
          "dataProperties": [
            {
                "nameOnServer": "ID",
                "dataType": "Int32",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "RowVersion",
                "dataType": "Int32",
                "isNullable": false,
                "concurrencyMode": "Fixed",
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "EmployeeID",
                "dataType": "Int32",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "TerritoryID",
                "dataType": "Int32",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            }
          ],
          "navigationProperties": [
            {
                "nameOnServer": "Employee",
                "entityTypeName": "Employee:#Models.NorthwindIB.NH",
                "isScalar": true,
                "associationName": "AN_Employee_EmployeeTerritory",
                "foreignKeyNamesOnServer": [
                  "EmployeeID"
                ]
            },
            {
                "nameOnServer": "Territory",
                "entityTypeName": "Territory:#Models.NorthwindIB.NH",
                "isScalar": true,
                "associationName": "AN_EmployeeTerritory_Territory",
                "foreignKeyNamesOnServer": [
                  "TerritoryID"
                ]
            }
          ]
      },
      {
          "shortName": "InternationalOrder",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "KeyGenerator",
          "defaultResourceName": "InternationalOrders",
          "dataProperties": [
            {
                "nameOnServer": "OrderID",
                "dataType": "Int32",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "RowVersion",
                "dataType": "Int32",
                "isNullable": false,
                "concurrencyMode": "Fixed",
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "CustomsDescription",
                "dataType": "String",
                "isNullable": false,
                "maxLength": 100,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "maxLength": "100",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "ExciseTax",
                "dataType": "Decimal",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "number"
                  }
                ]
            }
          ],
          "navigationProperties": [
            {
                "nameOnServer": "Order",
                "entityTypeName": "Order:#Models.NorthwindIB.NH",
                "isScalar": true,
                "associationName": "AN_InternationalOrder_Order_1to1",
                "foreignKeyNamesOnServer": [
                  "OrderID"
                ]
            }
          ]
      },
      {
          "shortName": "NextId",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "None",
          "defaultResourceName": "NextIds",
          "dataProperties": [
            {
                "nameOnServer": "Name",
                "dataType": "String",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  }
                ]
            },
            {
                "nameOnServer": "NextId1",
                "dataType": "Int64",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "integer"
                  }
                ]
            }
          ],
          "navigationProperties": []
      },
      {
          "shortName": "Order",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "Identity",
          "defaultResourceName": "Orders",
          "dataProperties": [
            {
                "nameOnServer": "OrderID",
                "dataType": "Int32",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "RowVersion",
                "dataType": "Int32",
                "isNullable": false,
                "concurrencyMode": "Fixed",
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "CustomerID",
                "dataType": "Guid",
                "isNullable": true,
                "validators": [
                  {
                      "name": "guid"
                  }
                ]
            },
            {
                "nameOnServer": "EmployeeID",
                "dataType": "Int32",
                "isNullable": true,
                "validators": [
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "OrderDate",
                "dataType": "DateTime",
                "isNullable": true,
                "validators": [
                  {
                      "name": "date"
                  }
                ]
            },
            {
                "nameOnServer": "RequiredDate",
                "dataType": "DateTime",
                "isNullable": true,
                "validators": [
                  {
                      "name": "date"
                  }
                ]
            },
            {
                "nameOnServer": "ShippedDate",
                "dataType": "DateTime",
                "isNullable": true,
                "validators": [
                  {
                      "name": "date"
                  }
                ]
            },
            {
                "nameOnServer": "Freight",
                "dataType": "Decimal",
                "isNullable": true,
                "validators": [
                  {
                      "name": "number"
                  }
                ]
            },
            {
                "nameOnServer": "ShipName",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 40,
                "validators": [
                  {
                      "maxLength": "40",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "ShipAddress",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 60,
                "validators": [
                  {
                      "maxLength": "60",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "ShipCity",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 15,
                "validators": [
                  {
                      "maxLength": "15",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "ShipRegion",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 15,
                "validators": [
                  {
                      "maxLength": "15",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "ShipPostalCode",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 10,
                "validators": [
                  {
                      "maxLength": "10",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "ShipCountry",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 15,
                "validators": [
                  {
                      "maxLength": "15",
                      "name": "maxLength"
                  }
                ]
            }
          ],
          "navigationProperties": [
            {
                "nameOnServer": "Customer",
                "entityTypeName": "Customer:#Models.NorthwindIB.NH",
                "isScalar": true,
                "associationName": "AN_Customer_Order",
                "foreignKeyNamesOnServer": [
                  "CustomerID"
                ]
            },
            {
                "nameOnServer": "Employee",
                "entityTypeName": "Employee:#Models.NorthwindIB.NH",
                "isScalar": true,
                "associationName": "AN_Employee_Order",
                "foreignKeyNamesOnServer": [
                  "EmployeeID"
                ]
            },
            {
                "nameOnServer": "InternationalOrder",
                "entityTypeName": "InternationalOrder:#Models.NorthwindIB.NH",
                "isScalar": true,
                "associationName": "AN_InternationalOrder_Order",
                "foreignKeyNamesOnServer": [
                  "OrderID"
                ]
            },
            {
                "nameOnServer": "OrderDetails",
                "entityTypeName": "OrderDetail:#Models.NorthwindIB.NH",
                "isScalar": false,
                "associationName": "AN_Order_OrderDetail"
            }
          ]
      },
      {
          "shortName": "OrderDetail",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "None",
          "defaultResourceName": "OrderDetails",
          "dataProperties": [
            {
                "nameOnServer": "RowVersion",
                "dataType": "Int32",
                "isNullable": false,
                "concurrencyMode": "Fixed",
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "OrderID",
                "dataType": "Int32",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ],
                "isPartOfKey": true
            },
            {
                "nameOnServer": "ProductID",
                "dataType": "Int32",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ],
                "isPartOfKey": true
            },
            {
                "nameOnServer": "UnitPrice",
                "dataType": "Decimal",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "number"
                  }
                ]
            },
            {
                "nameOnServer": "Quantity",
                "dataType": "Int16",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int16"
                  }
                ]
            },
            {
                "nameOnServer": "Discount",
                "dataType": "Single",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "number"
                  }
                ]
            }
          ],
          "navigationProperties": [
            {
                "nameOnServer": "Order",
                "entityTypeName": "Order:#Models.NorthwindIB.NH",
                "isScalar": true,
                "associationName": "AN_Order_OrderDetail",
                "foreignKeyNamesOnServer": [
                  "OrderID"
                ]
            },
            {
                "nameOnServer": "Product",
                "entityTypeName": "Product:#Models.NorthwindIB.NH",
                "isScalar": true,
                "associationName": "AN_OrderDetail_Product",
                "foreignKeyNamesOnServer": [
                  "ProductID"
                ]
            }
          ]
      },
      {
          "shortName": "PreviousEmployee",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "Identity",
          "defaultResourceName": "PreviousEmployees",
          "dataProperties": [
            {
                "nameOnServer": "EmployeeID",
                "dataType": "Int32",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "RowVersion",
                "dataType": "Int32",
                "isNullable": false,
                "concurrencyMode": "Fixed",
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "LastName",
                "dataType": "String",
                "isNullable": false,
                "maxLength": 20,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "maxLength": "20",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "FirstName",
                "dataType": "String",
                "isNullable": false,
                "maxLength": 10,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "maxLength": "10",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Title",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 30,
                "validators": [
                  {
                      "maxLength": "30",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "TitleOfCourtesy",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 25,
                "validators": [
                  {
                      "maxLength": "25",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "BirthDate",
                "dataType": "DateTime",
                "isNullable": true,
                "validators": [
                  {
                      "name": "date"
                  }
                ]
            },
            {
                "nameOnServer": "HireDate",
                "dataType": "DateTime",
                "isNullable": true,
                "validators": [
                  {
                      "name": "date"
                  }
                ]
            },
            {
                "nameOnServer": "Address",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 60,
                "validators": [
                  {
                      "maxLength": "60",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "City",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 15,
                "validators": [
                  {
                      "maxLength": "15",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Region",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 15,
                "validators": [
                  {
                      "maxLength": "15",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "PostalCode",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 10,
                "validators": [
                  {
                      "maxLength": "10",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Country",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 15,
                "validators": [
                  {
                      "maxLength": "15",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "HomePhone",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 24,
                "validators": [
                  {
                      "maxLength": "24",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Extension",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 4,
                "validators": [
                  {
                      "maxLength": "4",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Photo",
                "dataType": "Binary",
                "isNullable": true
            },
            {
                "nameOnServer": "Notes",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 1073741823,
                "validators": [
                  {
                      "maxLength": "1073741823",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "PhotoPath",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 255,
                "validators": [
                  {
                      "maxLength": "255",
                      "name": "maxLength"
                  }
                ]
            }
          ],
          "navigationProperties": []
      },
      {
          "shortName": "Product",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "Identity",
          "defaultResourceName": "Products",
          "dataProperties": [
            {
                "nameOnServer": "ProductID",
                "dataType": "Int32",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "RowVersion",
                "dataType": "Int32",
                "isNullable": true,
                "validators": [
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "ProductName",
                "dataType": "String",
                "isNullable": false,
                "maxLength": 40,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "maxLength": "40",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "SupplierID",
                "dataType": "Int32",
                "isNullable": true,
                "validators": [
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "CategoryID",
                "dataType": "Int32",
                "isNullable": true,
                "validators": [
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "QuantityPerUnit",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 20,
                "validators": [
                  {
                      "maxLength": "20",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "UnitPrice",
                "dataType": "Decimal",
                "isNullable": true,
                "validators": [
                  {
                      "name": "number"
                  }
                ]
            },
            {
                "nameOnServer": "UnitsInStock",
                "dataType": "Int16",
                "isNullable": true,
                "validators": [
                  {
                      "name": "int16"
                  }
                ]
            },
            {
                "nameOnServer": "UnitsOnOrder",
                "dataType": "Int16",
                "isNullable": true,
                "validators": [
                  {
                      "name": "int16"
                  }
                ]
            },
            {
                "nameOnServer": "ReorderLevel",
                "dataType": "Int16",
                "isNullable": true,
                "validators": [
                  {
                      "name": "int16"
                  }
                ]
            },
            {
                "nameOnServer": "Discontinued",
                "dataType": "Boolean",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "bool"
                  }
                ]
            },
            {
                "nameOnServer": "DiscontinuedDate",
                "dataType": "DateTime",
                "isNullable": true,
                "validators": [
                  {
                      "name": "date"
                  }
                ]
            }
          ],
          "navigationProperties": [
            {
                "nameOnServer": "Supplier",
                "entityTypeName": "Supplier:#Models.NorthwindIB.NH",
                "isScalar": true,
                "associationName": "AN_Product_Supplier",
                "foreignKeyNamesOnServer": [
                  "SupplierID"
                ]
            },
            {
                "nameOnServer": "Category",
                "entityTypeName": "Category:#Models.NorthwindIB.NH",
                "isScalar": true,
                "associationName": "AN_Category_Product",
                "foreignKeyNamesOnServer": [
                  "CategoryID"
                ]
            }
          ]
      },
      {
          "shortName": "Region",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "KeyGenerator",
          "defaultResourceName": "Regions",
          "dataProperties": [
            {
                "nameOnServer": "RegionID",
                "dataType": "Int32",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "RowVersion",
                "dataType": "Int32",
                "isNullable": false,
                "concurrencyMode": "Fixed",
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "RegionDescription",
                "dataType": "String",
                "isNullable": false,
                "maxLength": 50,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "maxLength": "50",
                      "name": "maxLength"
                  }
                ]
            }
          ],
          "navigationProperties": [
            {
                "nameOnServer": "Territories",
                "entityTypeName": "Territory:#Models.NorthwindIB.NH",
                "isScalar": false,
                "associationName": "AN_Region_Territory"
            }
          ]
      },
      {
          "shortName": "Role",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "Identity",
          "defaultResourceName": "Roles",
          "dataProperties": [
            {
                "nameOnServer": "Id",
                "dataType": "Int64",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "integer"
                  }
                ]
            },
            {
                "nameOnServer": "Ts",
                "dataType": "Binary",
                "isNullable": false,
                "concurrencyMode": "Fixed",
                "validators": [
                  {
                      "name": "required"
                  }
                ]
            },
            {
                "nameOnServer": "Name",
                "dataType": "String",
                "isNullable": false,
                "maxLength": 50,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "maxLength": "50",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Description",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 2000,
                "validators": [
                  {
                      "maxLength": "2000",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "RoleType",
                "dataType": "NHibernate.Type.EnumType`1[[Models.NorthwindIB.NH.RoleType, Model_NorthwindIB_NH, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]], NHibernate",
                "isNullable": true
            }
          ],
          "navigationProperties": [
            {
                "nameOnServer": "UserRoles",
                "entityTypeName": "UserRole:#Models.NorthwindIB.NH",
                "isScalar": false,
                "associationName": "AN_Role_UserRole"
            }
          ]
      },
      {
          "shortName": "Supplier",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "Identity",
          "defaultResourceName": "Suppliers",
          "dataProperties": [
            {
                "nameOnServer": "SupplierID",
                "dataType": "Int32",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "RowVersion",
                "dataType": "Int32",
                "isNullable": false,
                "concurrencyMode": "Fixed",
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "CompanyName",
                "dataType": "String",
                "isNullable": false,
                "maxLength": 40,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "maxLength": "40",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "ContactName",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 30,
                "validators": [
                  {
                      "maxLength": "30",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "ContactTitle",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 30,
                "validators": [
                  {
                      "maxLength": "30",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Location",
                "complexTypeName": "Location:#Models.NorthwindIB.NH",
                "isNullable": true
            },
            {
                "nameOnServer": "Phone",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 24,
                "validators": [
                  {
                      "maxLength": "24",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Fax",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 24,
                "validators": [
                  {
                      "maxLength": "24",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "HomePage",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 1073741823,
                "validators": [
                  {
                      "maxLength": "1073741823",
                      "name": "maxLength"
                  }
                ]
            }
          ],
          "navigationProperties": [
            {
                "nameOnServer": "Products",
                "entityTypeName": "Product:#Models.NorthwindIB.NH",
                "isScalar": false,
                "associationName": "AN_Product_Supplier"
            }
          ]
      },
      {
          "shortName": "Territory",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "KeyGenerator",
          "defaultResourceName": "Territories",
          "dataProperties": [
            {
                "nameOnServer": "TerritoryID",
                "dataType": "Int32",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "RowVersion",
                "dataType": "Int32",
                "isNullable": false,
                "concurrencyMode": "Fixed",
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "TerritoryDescription",
                "dataType": "String",
                "isNullable": false,
                "maxLength": 50,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "maxLength": "50",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "RegionID",
                "dataType": "Int32",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            }
          ],
          "navigationProperties": [
            {
                "nameOnServer": "Region",
                "entityTypeName": "Region:#Models.NorthwindIB.NH",
                "isScalar": true,
                "associationName": "AN_Region_Territory",
                "foreignKeyNamesOnServer": [
                  "RegionID"
                ]
            },
            {
                "nameOnServer": "EmployeeTerritories",
                "entityTypeName": "EmployeeTerritory:#Models.NorthwindIB.NH",
                "isScalar": false,
                "associationName": "AN_EmployeeTerritory_Territory"
            }
          ]
      },
      {
          "shortName": "TimeGroup",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "Identity",
          "defaultResourceName": "TimeGroups",
          "dataProperties": [
            {
                "nameOnServer": "Id",
                "dataType": "Int32",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "Comment",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 100,
                "validators": [
                  {
                      "maxLength": "100",
                      "name": "maxLength"
                  }
                ]
            }
          ],
          "navigationProperties": [
            {
                "nameOnServer": "TimeLimits",
                "entityTypeName": "TimeLimit:#Models.NorthwindIB.NH",
                "isScalar": false,
                "associationName": "AN_TimeGroup_TimeLimit"
            }
          ]
      },
      {
          "shortName": "TimeLimit",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "Identity",
          "defaultResourceName": "TimeLimits",
          "dataProperties": [
            {
                "nameOnServer": "Id",
                "dataType": "Int32",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "MaxTime",
                "dataType": "Time",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "duration"
                  }
                ]
            },
            {
                "nameOnServer": "MinTime",
                "dataType": "Time",
                "isNullable": true,
                "validators": [
                  {
                      "name": "duration"
                  }
                ]
            },
            {
                "nameOnServer": "TimeGroupId",
                "dataType": "Int32",
                "isNullable": true,
                "validators": [
                  {
                      "name": "int32"
                  }
                ]
            }
          ],
          "navigationProperties": [
            {
                "nameOnServer": "TimeGroup",
                "entityTypeName": "TimeGroup:#Models.NorthwindIB.NH",
                "isScalar": true,
                "associationName": "AN_TimeGroup_TimeLimit",
                "foreignKeyNamesOnServer": [
                  "TimeGroupId"
                ]
            }
          ]
      },
      {
          "shortName": "User",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "Identity",
          "defaultResourceName": "Users",
          "dataProperties": [
            {
                "nameOnServer": "Id",
                "dataType": "Int64",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "integer"
                  }
                ]
            },
            {
                "nameOnServer": "RowVersion",
                "dataType": "Decimal",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "number"
                  }
                ]
            },
            {
                "nameOnServer": "UserName",
                "dataType": "String",
                "isNullable": false,
                "maxLength": 100,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "maxLength": "100",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "UserPassword",
                "dataType": "String",
                "isNullable": true,
                "maxLength": 200,
                "validators": [
                  {
                      "maxLength": "200",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "FirstName",
                "dataType": "String",
                "isNullable": false,
                "maxLength": 100,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "maxLength": "100",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "LastName",
                "dataType": "String",
                "isNullable": false,
                "maxLength": 100,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "maxLength": "100",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "Email",
                "dataType": "String",
                "isNullable": false,
                "maxLength": 100,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "maxLength": "100",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "CreatedBy",
                "dataType": "String",
                "isNullable": false,
                "maxLength": 100,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "maxLength": "100",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "CreatedByUserId",
                "dataType": "Int64",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "integer"
                  }
                ]
            },
            {
                "nameOnServer": "CreatedDate",
                "dataType": "DateTime",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "date"
                  }
                ]
            },
            {
                "nameOnServer": "ModifiedBy",
                "dataType": "String",
                "isNullable": false,
                "maxLength": 100,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "maxLength": "100",
                      "name": "maxLength"
                  }
                ]
            },
            {
                "nameOnServer": "ModifiedByUserId",
                "dataType": "Int64",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "integer"
                  }
                ]
            },
            {
                "nameOnServer": "ModifiedDate",
                "dataType": "DateTime",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "date"
                  }
                ]
            }
          ],
          "navigationProperties": [
            {
                "nameOnServer": "UserRoles",
                "entityTypeName": "UserRole:#Models.NorthwindIB.NH",
                "isScalar": false,
                "associationName": "AN_User_UserRole"
            }
          ]
      },
      {
          "shortName": "UserRole",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "Identity",
          "defaultResourceName": "UserRoles",
          "dataProperties": [
            {
                "nameOnServer": "ID",
                "dataType": "Int64",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "integer"
                  }
                ]
            },
            {
                "nameOnServer": "UserId",
                "dataType": "Int64",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "integer"
                  }
                ]
            },
            {
                "nameOnServer": "RoleId",
                "dataType": "Int64",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "integer"
                  }
                ]
            }
          ],
          "navigationProperties": [
            {
                "nameOnServer": "User",
                "entityTypeName": "User:#Models.NorthwindIB.NH",
                "isScalar": true,
                "associationName": "AN_User_UserRole",
                "foreignKeyNamesOnServer": [
                  "UserId"
                ]
            },
            {
                "nameOnServer": "Role",
                "entityTypeName": "Role:#Models.NorthwindIB.NH",
                "isScalar": true,
                "associationName": "AN_Role_UserRole",
                "foreignKeyNamesOnServer": [
                  "RoleId"
                ]
            }
          ]
      },
      {
          "shortName": "UnusualDate",
          "namespace": "Models.NorthwindIB.NH",
          "autoGeneratedKeyType": "Identity",
          "defaultResourceName": "UnusualDates",
          "dataProperties": [
            {
                "nameOnServer": "Id",
                "dataType": "Int32",
                "isNullable": false,
                "isPartOfKey": true,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "int32"
                  }
                ]
            },
            {
                "nameOnServer": "CreationDate",
                "dataType": "DateTimeOffset",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "date"
                  }
                ]
            },
            {
                "nameOnServer": "ModificationDate",
                "dataType": "DateTime",
                "isNullable": false,
                "validators": [
                  {
                      "name": "required"
                  },
                  {
                      "name": "date"
                  }
                ]
            },
            {
                "nameOnServer": "CreationDate2",
                "dataType": "DateTimeOffset",
                "isNullable": true,
                "validators": [
                  {
                      "name": "date"
                  }
                ]
            },
            {
                "nameOnServer": "ModificationDate2",
                "dataType": "DateTime",
                "isNullable": true,
                "validators": [
                  {
                      "name": "date"
                  }
                ]
            }
          ],
          "navigationProperties": []
      }
    ],
    "resourceEntityTypeMap": {
        "Geospatials": "Geospatial:#Models.NorthwindIB.NH",
        "Categories": "Category:#Models.NorthwindIB.NH",
        "Comments": "Comment:#Models.NorthwindIB.NH",
        "Customers": "Customer:#Models.NorthwindIB.NH",
        "Employees": "Employee:#Models.NorthwindIB.NH",
        "EmployeeTerritories": "EmployeeTerritory:#Models.NorthwindIB.NH",
        "InternationalOrders": "InternationalOrder:#Models.NorthwindIB.NH",
        "NextIds": "NextId:#Models.NorthwindIB.NH",
        "Orders": "Order:#Models.NorthwindIB.NH",
        "OrderDetails": "OrderDetail:#Models.NorthwindIB.NH",
        "PreviousEmployees": "PreviousEmployee:#Models.NorthwindIB.NH",
        "Products": "Product:#Models.NorthwindIB.NH",
        "Regions": "Region:#Models.NorthwindIB.NH",
        "Roles": "Role:#Models.NorthwindIB.NH",
        "Suppliers": "Supplier:#Models.NorthwindIB.NH",
        "Territories": "Territory:#Models.NorthwindIB.NH",
        "TimeGroups": "TimeGroup:#Models.NorthwindIB.NH",
        "TimeLimits": "TimeLimit:#Models.NorthwindIB.NH",
        "Users": "User:#Models.NorthwindIB.NH",
        "UserRoles": "UserRole:#Models.NorthwindIB.NH",
        "UnusualDates": "UnusualDate:#Models.NorthwindIB.NH"
    },
    "fkMap": {
        "Models.NorthwindIB.NH.Employee.Manager": "ReportsToEmployeeID",
        "Models.NorthwindIB.NH.EmployeeTerritory.Employee": "EmployeeID",
        "Models.NorthwindIB.NH.EmployeeTerritory.Territory": "TerritoryID",
        "Models.NorthwindIB.NH.InternationalOrder.Order": "OrderID",
        "Models.NorthwindIB.NH.Order.Customer": "CustomerID",
        "Models.NorthwindIB.NH.Order.Employee": "EmployeeID",
        "Models.NorthwindIB.NH.Order.InternationalOrder": "OrderID",
        "Models.NorthwindIB.NH.OrderDetail.Order": "OrderID",
        "Models.NorthwindIB.NH.OrderDetail.Product": "ProductID",
        "Models.NorthwindIB.NH.Product.Supplier": "SupplierID",
        "Models.NorthwindIB.NH.Product.Category": "CategoryID",
        "Models.NorthwindIB.NH.Territory.Region": "RegionID",
        "Models.NorthwindIB.NH.TimeLimit.TimeGroup": "TimeGroupId",
        "Models.NorthwindIB.NH.UserRole.User": "UserId",
        "Models.NorthwindIB.NH.UserRole.Role": "RoleId"
    }
};
